### Method

# Gtk TextBuffer apply_tag_by_name

#### Declaration [src]

    void
    gtk_text_buffer_apply_tag_by_name (
      GtkTextBuffer* buffer,
      const char* name,
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Emits the “apply-tag” signal on `buffer`.

Calls gtk_text_tag_table_lookup() on the buffer’s tag table to get a `GtkTextTag`, then calls gtk_text_buffer_apply_tag().

#### Parameters

`name` | `const char*`
| Name of a named `GtkTextTag`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`start` | `GtkTextIter`
| One bound of range to be tagged.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| Other bound of range to be tagged.
| The data is owned by the caller of the function.